YoYInflationBlackCapFloorEngine Class Reference

Black-formula inflation cap/floor engine (standalone, i.e. no coupon pricer) More...

`#include <ql/pricingengines/inflation/inflationcapfloorengines.hpp>`

Inheritance diagram for YoYInflationBlackCapFloorEngine:
[legend]

## Public Member Functions

| YoYInflationBlackCapFloorEngine (const boost::shared_ptr< YoYInflationIndex > &, const Handle< YoYOptionletVolatilitySurface > &)
Public Member Functions inherited from YoYInflationCapFloorEngine
| YoYInflationCapFloorEngine (const boost::shared_ptr< YoYInflationIndex > &, const Handle< YoYOptionletVolatilitySurface > &vol)
boost::shared_ptr< YoYInflationIndex > | index () const
Handle< YoYOptionletVolatilitySurface > | volatility () const
void | setVolatility (const Handle< YoYOptionletVolatilitySurface > &vol)
void | calculate () const
Public Member Functions inherited from GenericEngine< YoYInflationCapFloor::arguments, YoYInflationCapFloor::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Protected Member Functions

virtual Real | optionletImpl (Option::Type, Real strike, Real forward, Real stdDev, Real d) const
| descendents only need to implement this

## Additional Inherited Members

Protected Attributes inherited from YoYInflationCapFloorEngine
boost::shared_ptr< YoYInflationIndex > | index_
Handle< YoYOptionletVolatilitySurface > | volatility_
Protected Attributes inherited from GenericEngine< YoYInflationCapFloor::arguments, YoYInflationCapFloor::results >
YoYInflationCapFloor::arguments | arguments_
YoYInflationCapFloor::results | results_

## Detailed Description

Black-formula inflation cap/floor engine (standalone, i.e. no coupon pricer)